### Method

# Pango AttrList copy

#### Declaration [src]

    PangoAttrList*
    pango_attr_list_copy (
      PangoAttrList* list
    )

#### Description [src]

Copy `list` and return an identical new list.

#### Return value

Type: `PangoAttrList`

The newly allocated `PangoAttrList`, with a reference count of one, which should be freed with `pango_attr_list_unref()`. Returns `NULL` if `list` was `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.